DOSDIR(1)

NAME
dosdir - list an MS-DOS directory [IBM]

SYNOPSIS
dosdir [-lr] drive

OPTIONS

-l  # Long listing

-r  # Recursively descend and print subdirectories

EXAMPLES

dosdir -l A
    # List root directory on drive A

dosdir -r C x/y
    # Recursively list directory x/y

dosdir -r fd1
    # List device /dev/fd1

DESCRIPTION

Dosdir reads standard IBM PC diskettes or hard disk partitions in MS-DOS format and lists their contents on standard output. Directory names should contain slashes to separate components, even though MS-DOS uses backslashes. The names dosdir , dosread , and doswrite are all links to the same program. The program sees which function to perform by seeing how it was called. A drive code of A causes the program to use /dev/dosA, for example, a link to /dev/fd0. Similarly, to have hard disk partition 1 be DOS drive C, /dev/dosC could be a link to /dev/hd1, and so on for other drive codes. A normal device name may also be used instead of a drive code.